Package org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor

# Interface ICompareAccessor

All Superinterfaces:
  `ITypedElement`

All Known Subinterfaces:
  `IResourceContentsAccessor`, `IStructuralFeatureAccessor`

All Known Implementing Classes:
  `AbstractStructuralFeatureAccessor`, `ContainmentReferenceChangeAccessorImpl`, `FeatureMapKeyChangeAccessorImpl`, `ManyStructuralFeatureAccessorImpl`, `MatchAccessor`, `ResourceContentsAccessorImpl`, `SingleStructuralFeatureAccessorImpl`

public interface ICompareAccessor extends ITypedElement
An ICompareAccessor is an `ITypedElement` used to present an input object in the EMF Compare UI.

Since:
  4.0

## Field Summary

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

## Method Summary

Modifier and Type
Method
Description
`Comparison`
`getComparison()`
Returns the comparison object used by this accessor.
`IMergeViewerItem`
`getInitialItem()`
Returns the initial item of this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
`getItems()`
Returns the list of items known by this accessor.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`getImage, getName, getType`

## Method Details

### getComparison

Comparison getComparison()
Returns the comparison object used by this accessor.

Returns:
  the comparison object used by this accessor.

### getInitialItem

IMergeViewerItem getInitialItem()
Returns the initial item of this accessor.

Returns:
  the initial item of this accessor.

### getItems

com.google.common.collect.ImmutableList<? extends IMergeViewerItem> getItems()
Returns the list of items known by this accessor.

Returns:
  the list of items known by this accessor.